spin_rw_mutex.h File Reference
`#include "tbb_stddef.h"`
`#include "tbb_machine.h"`
`#include "tbb_profiling.h"`
`#include "internal/_mutex_padding.h"`
Include dependency graph for spin_rw_mutex.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::spin_rw_mutex_v3
| Fast, unfair, spinning reader-writer lock with backoff and writer-preference. More...
class | tbb::spin_rw_mutex_v3::scoped_lock
| The scoped locking pattern. More...

## Namespaces

| tbb
| The graph class.
| tbb::interface8

## Typedefs

typedef spin_rw_mutex_v3 | tbb::spin_rw_mutex
typedef interface7::internal::padded_mutex< tbb::spin_rw_mutex, true > | tbb::interface8::speculative_spin_rw_mutex
| A cross-platform spin reader/writer mutex with speculative lock acquisition. More...

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.